<?xml version="1.0" encoding="utf-8"?>
<androidx.cardview.widget.CardView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/cardView"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    app:cardBackgroundColor="@color/btn_bg_color"
    app:cardCornerRadius="5dp"
    app:cardElevation="5dp"
    app:cardUseCompatPadding="true"
    app:contentPaddingLeft="8dp">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="120dp"
        android:background="@color/white"
        android:orientation="horizontal">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginStart="8dp"
            tools:ignore="HardcodedText,UselessParent">

            <TextView
                android:id="@+id/nbTitle"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="5dp"
                android:layout_marginEnd="5dp"
                android:layout_toLeftOf="@id/actionLayout"
                android:gravity="center|start"
                android:maxLines="1"
                android:singleLine="true"
                android:text="John"
                android:textColor="@color/btn_bg_color"
                android:textSize="18sp"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/nbContent"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_above="@id/info"
                android:layout_below="@id/nbTitle"
                android:layout_marginEnd="5dp"
                android:layout_toLeftOf="@id/actionLayout"
                android:gravity="top"
                android:maxLines="3"
                android:text="John"
                android:textColor="@color/material_black"
                android:textSize="14sp" />

            <TextView
                android:id="@+id/nbSender"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_alignParentBottom="true"
                android:layout_marginBottom="5dp"
                android:layout_toStartOf="@id/info"
                android:gravity="center|start"
                android:maxLines="1"
                android:singleLine="true"
                android:text="Organised by: "
                android:textColor="@color/btn_bg_color"
                android:textSize="13sp"
                android:textStyle="bold" />

            <ImageButton
                android:id="@+id/info"
                android:layout_width="40dp"
                android:layout_height="25dp"
                android:layout_alignParentBottom="true"
                android:layout_marginEnd="6dp"
                android:layout_marginBottom="5dp"
                android:layout_toStartOf="@id/actionLayout"
                android:background="@android:color/transparent"
                android:contentDescription="@string/app_name"
                android:scaleType="fitCenter"
                android:src="@drawable/team_vc"
                android:visibility="gone" />

            <RelativeLayout
                android:id="@+id/actionLayout"
                android:layout_width="135dp"
                android:layout_height="match_parent"
                android:layout_alignParentEnd="true"
                android:background="@color/btn_bg_color">

                <ImageButton
                    android:id="@+id/removeTraining"
                    android:layout_width="35dp"
                    android:layout_height="35dp"
                    android:layout_alignParentEnd="true"
                    android:background="@android:color/transparent"
                    android:contentDescription="@string/app_name"
                    android:scaleType="fitCenter"
                    android:src="@drawable/right_close"
                    android:visibility="gone" />

                <TextView
                    android:id="@+id/nbDate"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_above="@id/nbMonth"
                    android:layout_alignParentTop="true"
                    android:layout_centerInParent="true"
                    android:gravity="center|bottom"
                    android:maxLines="1"
                    android:singleLine="true"
                    android:text="04"
                    android:textColor="@color/material_white"
                    android:textSize="25sp"
                    android:textStyle="bold" />

                <TextView
                    android:id="@+id/nbMonth"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_above="@id/nbTime"
                    android:layout_centerInParent="true"
                    android:layout_marginBottom="8dp"
                    android:gravity="center"
                    android:maxLines="1"
                    android:singleLine="true"
                    android:text="APR"
                    android:textColor="@color/material_white"
                    android:textSize="14sp"
                    android:textStyle="bold" />

                <TextView
                    android:id="@+id/nbTime"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_above="@id/join"
                    android:layout_marginBottom="4dp"
                    android:gravity="center"
                    android:maxLines="1"
                    android:singleLine="true"
                    android:text="10:10 AM - 12:30 PM"
                    android:textColor="@color/material_white"
                    android:textSize="12sp"
                    android:textStyle="bold" />

                <Button
                    android:id="@+id/join"
                    android:layout_width="match_parent"
                    android:layout_height="30dp"
                    android:layout_alignParentBottom="true"
                    android:background="@drawable/btn_login_shadow_new"
                    android:maxLines="1"
                    android:paddingStart="8dp"
                    android:paddingEnd="8dp"
                    android:text="Yet to be Start"
                    android:textAllCaps="false"
                    android:textColor="@color/btn_bg_color"
                    android:textSize="14sp"
                    android:textStyle="bold" />
            </RelativeLayout>
        </RelativeLayout>

    </LinearLayout>

</androidx.cardview.widget.CardView>
